Description:

Constructs a bend space morph.

Syntax:
public BendSpaceMorph(
Point3d start,
Point3d end,
Point3d point,
bool straight,
bool symmetric
)
Parameters:
  • start
  • Type: Point3d
  • Start of spine that represents the original orientation of the object.
  • point
  • Type: Point3d
  • Point to bend through.
  • straight
  • Type: bool
  • If false, then point determines the region to bend. If true, only the spine region is bent.
  • symmetric
  • Type: bool
  • If false, then only one end of the object bends. If true, then the object will bend symmetrically around the center if you start the spine in the middle of the object.
Available since:
5.9

Description:

Constructs a bend space morph.

Syntax:
public BendSpaceMorph(
Point3d start,
Point3d end,
Point3d point,
double angle,
bool straight,
bool symmetric
)
Parameters:
  • start
  • Type: Point3d
  • Start of spine that represents the original orientation of the object.
  • point
  • Type: Point3d
  • Used for bend direction.
  • angle
  • Type: double
  • Bend angle in radians.
  • straight
  • Type: bool
  • If false, then point determines the region to bend. If true, only the spine region is bent.
  • symmetric
  • Type: bool
  • If false, then only one end of the object bends. If true, then the object will bend symmetrically around the center if you start the spine in the middle of the object.
Available since:
5.9

BendSpaceMorph constructor

Class:  Rhino.Geometry.Morphs.BendSpaceMorph

Nothing found